﻿<%@ Page Language="VB" AutoEventWireup="true"  CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms" TagPrefix="Mindfusion" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>MindFusion.Scheduling for ASP.NET Sample: Google-like Calendar</title>
  <link type="text/css" rel="stylesheet" href="styles.css" />
  <script type="text/javascript" language="javascript" src="script.js">
  </script>
</head>
<body style="margin: 0;">
  <form id="form1" runat="server">

    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    
    <input type="hidden" runat="server" id="hidden" enableviewstate="false" />
    <input type="hidden" runat="server" id="hheader" enableviewstate="false" />
    <input type="hidden" runat="server" id="hfilter" enableviewstate="false" />
    <input type="hidden" runat="server" id="haddres" enableviewstate="false" />

      <table style="width:100%;">
        <col width="200px" />
        <col />
        <tr>
          <td style="padding: 6px;">
            <div id="info" class="help-frame" style="cursor: help; display: inline-block;" onmouseover="onInfoMouseOver();" onmouseout="onInfoMouseOut();">
              <a class="help-ico" id="infoButton"></a><span style="font-family: Verdana; font-size: 12pt; font-weight: bold;  position: relative; top: -5px; margin-right: 5px;">Info</span>
            </div>
            <div id="infoPanel" style="position: absolute; width: 480px; height: 260px; visibility: hidden; padding: 1px; z-index: 10000;">
               <div style="border: solid 1px #CCCCCC; width: 100%; height: 100%; background: rgba(255, 255, 240, 0.95); padding: 5px; font-family: Verdana; font-size: 8pt;">
                  <h3>Introduction</h3>
                  This sample demonstrates how to achieve a complete appearance overhaul in MindFusion.Scheduling for ASP.NET by using custom CSS classes and various control properties. In this particular case the Calendar is customized to closely resemble the Google's online calendar. In addition the sample illustrates how to replace the built-in appointment forms with modeless ones.
                  <h3>Calendars</h3>
                  The sample implements the Google's notion of <i>Calendars</i> through custom resources. Each appointment (event) belongs to a single calendar. The calendar determines the color scheme of its associated appointments. There are three default calendars and new calendars can be added by clicking the <img src="Images/add.png" alt="Add" style="border: solid 1px #DDDDDD;" /> button. The association between an appointment and a calendar is established when the appointment is first created and cannot be changed subsequently. Calendars can be 'turned off' by clicking on their name in the list to the left. When a calendar is disabled its associated appointments are not displayed.
               </div>
            </div>
          </td>
          <td>
            <div style="padding: 5px;">
              <table width="100%">
                <col />
                <col width="100%" />
                <col />
                <tr>
                  <td>
                    <a id="prevButton" class="popup-button-left" style="width: 50px; font-size: 8pt; font-weight: bold; text-align: center; background-image: url('Images/left.png'); background-position: center; background-repeat: no-repeat;" onclick="onPrevClick();">&nbsp;&nbsp;&nbsp;</a><a id="nextButton" class="popup-button-right" style="width: 50px; font-size: 8pt; font-weight: bold; text-align: center; background-image: url('Images/right.png'); background-position: center; background-repeat: no-repeat;" onclick="onNextClick();">&nbsp;&nbsp;&nbsp;</a>
                  </td>
                  <td>
                    <span id="header" class='header'></span>
                  </td>
                  <td>
                    <a id="weekButton" class="popup-button-left" style="width: 50px; font-size: 8pt; font-weight: bold; text-align: center;" onclick="onWeekClick();">Week</a><a id="monthButton" class="popup-button-right" style="width: 50px; font-size: 8pt; font-weight: bold; text-align: center;" onclick="onMonthClick();">Month</a>
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>
        <tr>
          <td style="height: 5px; border-bottom: solid 1px #DDDDDD" colspan="2" />
        </tr>
        <tr>
          <td style="height: 5px;" colspan="2" />
        </tr>
        <tr>
          <td style="vertical-align: top; font-family: Verdana; font-size: 9pt; padding: 5px;">
            <div>
              <h2 style="border-bottom: solid 1px #DDDDDD; position: relative;">
                Calendars
                <span id="addButton" class="add-button" onclick='onAddCalendarClick();' />
              </h2>
              <table id="calendarsTable" width="100%" cellspacing="0" cellpadding="0">
                <%-- Content will be added here dynamically based on the calendar's resources. --%>
              </table>
            </div>
          </td>
          <td>
            <div>
              <Mindfusion:Calendar ID="_calendar" runat="server" CurrentView="SingleMonth"
                Theme="Vista" ShowToolTips="True" AllowInplaceEdit="False" Width="100%"
                DateMouseUpScript="onDateMouseUp"
                SelectionStartScript="onSelectionStart"
                SelectionChangedScript="onSelectionChanged"
                SelectionEndScript="onSelectionEnd"
                ItemModifyingScript="onItemModifying"
                ItemClickScript="onItemClick"
                FormShowScript="onFormShow">
                <MonthSettings HeaderStyle="None" ShowPaddingItems="Enabled">
                  <DaySettings FirstDayOfMonthFormat="MMM, d" FirstDayOfYearFormat="MMM, d" ShowToday="Enabled" TodayColor="White" TodayFillColor="#FFEF99" />
                </MonthSettings>
              </Mindfusion:Calendar>
            </div>
          </td>
        </tr>
      </table>

  </form>
</body>
</html>
